# Uses of Interface
org.apache.lucene.analysis.hunspell.FragmentChecker

Packages that use FragmentChecker
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of FragmentChecker in org.apache.lucene.analysis.hunspell

  Classes in org.apache.lucene.analysis.hunspell that implement FragmentChecker
  Modifier and Type
  Class
  Description
  `class`
  `NGramFragmentChecker`
  A `FragmentChecker` based on all character n-grams possible in a certain language, keeping them in a relatively memory-efficient, but probabilistic data structure.
  Fields in org.apache.lucene.analysis.hunspell declared as FragmentChecker
  Modifier and Type
  Field
  Description
  `static final FragmentChecker`
  FragmentChecker.`EVERYTHING_POSSIBLE`
  Methods in org.apache.lucene.analysis.hunspell with parameters of type FragmentChecker
  Modifier and Type
  Method
  Description
  `Suggester`
  Suggester.`withFragmentChecker(FragmentChecker checker)`
  Returns a copy of this suggester instance with `FragmentChecker` hint that can improve the performance of the "Modification" phase performance.